Read about our upcoming Code of Conduct on this issue

  • Martin von Zweigbergk's avatar
    rewriteutil: use precheck from core if recent enough · 65d4e47d7f26
    Martin von Zweigbergk authored
    This commit makes the evolve extension's `rewriteutil.precheck()`
    simply delegate to the same function from Mercurial core, if that
    function is deemed recent enough. The way I made that check is by
    looking for `rewriteutil.find_new_divergence_from()`. That means that
    there's a range of commits (ba6881c6::8125bcd2^) where the user would
    see less detailed error messages if they are running with an hg
    version from that range (there are no released versions in that
    range).
    
    As you can see in the tests, switching to core's version of the
    function mostly affects error messages and exit codes.
    65d4e47d7f26
test-pick.t 9.79 KB